
Redmine - Feature #10607

Ignore out-of-office incoming emails

2012-04-05 11:06 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

Hi,

There doesnt seem to be the functionality to ignore or disregard emails that contain specific strings.

It would be useful! Whenever someone is out of office and an issue raised by them is actioned in their absence, the system

generates an email updating them about the progress of their issue. The subsequent out of office email that gets generated as a

result of this email is not ignored by redmine and a new issue is created each time.

This can cause an annoying administration overhead!

Related issues:

Related to Redmine - Feature #11338: Exclude emails with auto-submitted => au... Closed

Related to Redmine - Defect #15999: Ignoring out of office emails Closed

Associated revisions

Revision 9358 - 2012-04-06 15:24 - Jean-Philippe Lang

Makes the mail handler ignore out-of-office emails (#10607).

Revision 9390 - 2012-04-13 18:55 - Jean-Philippe Lang

Ignore emails with Auto-Submitted: auto-replied header (#10607).

History

#1 - 2012-04-06 15:09 - Jean-Philippe Lang

Maybe we could make the MailHandler ignore emails with a X-Auto-Response-Suppress:OOF header?

#2 - 2012-04-06 15:25 - Jean-Philippe Lang

- Subject changed from Ignore emails (Out of office) to Ignore out-of-office incoming emails

- Status changed from New to Resolved

- Target version set to 1.4.0

- Resolution set to Fixed

Committed in r9358.

#3 - 2012-04-09 08:27 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Assignee set to Jean-Philippe Lang

Merged in r9376.

#4 - 2012-04-12 11:52 - Anonymous

Thanks for the speedy resolution. When will this be available for download? or can I manually patch my current 1.3.1 version?

#5 - 2012-04-12 15:11 - Etienne Massip

1.4.0 will be released very soon.
#6 - 2012-04-13 12:51 - Anonymous

- Status changed from Closed to Reopened

Upon further investigation, looking for the header "X-Auto-Response-Suppress" will not be sufficient in our particular scenario.

Our out-of-office generator (for MailEnable) is including a "Auto-Submitted: auto-replied" header.

Example Message Header:

To: james@domain.co.uk

Precedence: bulk

Date: Fri, 13 Apr 2012 10:48:20 +0100

From: "Joe Blogs" <joe.bloggs@domain.co.uk>

Subject: Out of Office

Return-Path: <>

Auto-Submitted: auto-replied

User-Agent: OoOME/0.1.6

MIME-Version: 1.0

Content-Type: multipart/related;

boundary="----=_NextPart_000_DBD1_01CD1350.F195CC10"

X-ME-Bayesian: 0.000000

see http://www.iana.org/assignments/auto-submitted-keywords/auto-submitted-keywords.xml for more information.

#7 - 2012-04-13 18:56 - Jean-Philippe Lang

- Status changed from Reopened to Resolved

Thanks for the feedback, this is fixed in r9390. Emails with Auto-Submitted: auto-replied header are now ignored as well.

#8 - 2012-04-14 06:52 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#9 - 2012-07-06 17:07 - Jan Niggemann (redmine.org team member)

Our company is using Lotus Notes 8.5.1, don't know which version our Domino server are.

Upon inspection, our system uses "Auto-submitted: auto-generated".

I suggest to automatically exclude "auto-generated" as well.

#10 - 2014-01-31 08:45 - Jan Niggemann (redmine.org team member)

- Related to Feature #11338: Exclude emails with auto-submitted => auto-generated added

#11 - 2014-01-31 08:46 - Jan Niggemann (redmine.org team member)

- Related to Defect #15999: Ignoring out of office emails added

#12 - 2023-04-28 21:32 - Fabián Rodríguez

Just FYI this will also result in Redmine rejecting emails coming from other support trackers, monitoring tools and notifications from other software. In

my case it was Check_MK monitoring, it took some time before finding why.

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

mailto:james@domain.co.uk
mailto:joe.bloggs@domain.co.uk
http://www.iana.org/assignments/auto-submitted-keywords/auto-submitted-keywords.xml
https://www.redmine.org/projects/redmine/repository/svn/revisions/9390
http://www.tcpdf.org

